package it.sauronsoftware.kickstart;

import java.net.URL;

import javax.swing.ImageIcon;

/**
 * Caricatore di icone.
 * 
 * @author Carlo Pelliccia
 */
public class IconLoader {

	/**
	 * Fornisce una ImageIcon.
	 * 
	 * @param name
	 *            Il nome dell'immagine per l'icona, cos come ospitata al
	 *            percorso res/images.
	 * @return L'ImageIcon con l'immagine caricata.
	 */
	public static ImageIcon load(String name) {
		URL imageUrl = IconLoader.class.getResource("res/images/" + name);
		if (imageUrl != null) {
			return new ImageIcon(imageUrl);
		} else {
			return new ImageIcon();
		}
	}

}
