package it.sauronsoftware.kickstart.filters;

import it.sauronsoftware.kickstart.LanguagePack;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * Filtro per i file JAR.
 * 
 * @author Carlo Pelliccia
 */
public class JARFileFilter extends FileFilter {

	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		} else {
			return f.getName().toLowerCase().endsWith(".jar");
		}
	}

	public String getDescription() {
		LanguagePack pack = LanguagePack.getInstance();
		return pack.getMessage("FILECHOOSER_JAR_FILTER");
	}

}
