package it.sauronsoftware.kickstart.generator;

/**
 * Listener sul progresso di un'operazione di generazione di un EXE.
 * 
 * @author Carlo Pelliccia
 */
public interface GenerationListener {

	/**
	 * Richiamato quando l'operazione ha inizio.
	 */
	public void started();

	/**
	 * Richiamato per notificare l'avanzamento dell'operazione.
	 * 
	 * @param value
	 *            La percentuale di avanzamento.
	 */
	public void percentual(int value);

	/**
	 * Richiamato per notificare il termine dell'operazione.
	 */
	public void completed();

	/**
	 * Richiamato per notificare il fallimento dell'operazione a seguito di un
	 * errore.
	 * 
	 * @param e
	 *            L'eccezione che ha impedito il completamento dell'operazione.
	 */
	public void failed(Exception e);

}
